For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList all cancellations on an order
          • POSTCreate a cancellation on an order
          • GETGet details of a single cancellation
          • PUTUpdate details of a cancellation
          • DELDelete a cancellation
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Cancellations

Create a cancellation on an order

POST
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/cancellations
POST
/api/v2/orders/:order-id/cancellations
$curl -X POST https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/cancellations \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "cancellation_lines": [
> {
> "line_id": "109872189273617283",
> "quantity": 1
> }
> ],
> "reason": "customer_cancelled"
>}'
1{
2 "id": "109872189273617283",
3 "cancellation_lines": [
4 {
5 "line_id": "109872189273617283",
6 "quantity": 1
7 }
8 ],
9 "reason": "customer_cancelled"
10}
Post a cancellation of line item
Was this page helpful?
Previous

List all cancellations on an order

Next

Get details of a single cancellation

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Request

This endpoint expects an object.
cancellation_lineslist of objectsRequired
reasonenumRequired
Reason provided for the order line's cancellation

Response

Cancellation object
idstring
Unique identifier for a record
cancellation_lineslist of objects
reasonenum
Reason provided for the order line's cancellation

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error